<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.4424.13.10.3.41
Name: [3] Sekcja rozpoznania przedoperacyjnego
Description: Szablon CDA dla sekcji rozpoznania przedoperacyjnego
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.4424.13.10.3.41-2015-08-15T000000">
   <title>[3] Sekcja rozpoznania przedoperacyjnego</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.3.41
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.41']]
Item: (plCdaPreoperativeDiagnosisSection)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.3.41
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.41']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.41']
Item: (plCdaPreoperativeDiagnosisSection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.41']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.41']"
         id="tmp-r-94e55170-75df-4439-b484-ae5d7f27d0c0">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.3.41-2015-08-15T000000.html"
              test="string(@classCode)='DOCSECT' or not(@classCode)">(plCdaPreoperativeDiagnosisSection): Wartość dla @classCode MUSI wynosić 'DOCSECT'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.3.41-2015-08-15T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(plCdaPreoperativeDiagnosisSection): Wartość dla @moodCode MUSI wynosić 'EVN'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.3.41-2015-08-15T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.41'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.41']/@nullFlavor)">(plCdaPreoperativeDiagnosisSection): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.41'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.3.41-2015-08-15T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.41'])&lt;=1">(plCdaPreoperativeDiagnosisSection): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.41'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.3.41-2015-08-15T000000.html"
              test="count(hl7:id)&lt;=1">(plCdaPreoperativeDiagnosisSection): element hl7:id występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.3.41-2015-08-15T000000.html"
              test="count(hl7:code[(@code='10219-4' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='10219-4' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(plCdaPreoperativeDiagnosisSection): element hl7:code[(@code='10219-4' and @codeSystem='2.16.840.1.113883.6.1')] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.3.41-2015-08-15T000000.html"
              test="count(hl7:code[(@code='10219-4' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(plCdaPreoperativeDiagnosisSection): element hl7:code[(@code='10219-4' and @codeSystem='2.16.840.1.113883.6.1')] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.3.41-2015-08-15T000000.html"
              test="count(hl7:title)&gt;=1 and not(hl7:title/@nullFlavor)">(plCdaPreoperativeDiagnosisSection): element hl7:title jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.3.41-2015-08-15T000000.html"
              test="count(hl7:title)&lt;=1">(plCdaPreoperativeDiagnosisSection): element hl7:title występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.3.41-2015-08-15T000000.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(plCdaPreoperativeDiagnosisSection): element hl7:text jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.3.41-2015-08-15T000000.html"
              test="count(hl7:text)&lt;=1">(plCdaPreoperativeDiagnosisSection): element hl7:text występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.3.41-2015-08-15T000000.html"
              test="count(hl7:confidentialityCode)&lt;=1">(plCdaPreoperativeDiagnosisSection): element hl7:confidentialityCode występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.3.41-2015-08-15T000000.html"
              test="count(hl7:languageCode)&lt;=1">(plCdaPreoperativeDiagnosisSection): element hl7:languageCode występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.3.41-2015-08-15T000000.html"
              test="count(hl7:subject[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.15'])&lt;=1">(plCdaPreoperativeDiagnosisSection): element hl7:subject[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.15'] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.3.41
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.41']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.41']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.41']
Item: (plCdaPreoperativeDiagnosisSection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.41']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.41']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.41']"
         id="tmp-r-a7c3a633-a0d7-4425-ae59-17ec40d730b6">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.3.41-2015-08-15T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaPreoperativeDiagnosisSection): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.3.41-2015-08-15T000000.html"
              test="string(@root)='2.16.840.1.113883.3.4424.13.10.3.41'">(plCdaPreoperativeDiagnosisSection): Wartość dla @root MUSI wynosić '2.16.840.1.113883.3.4424.13.10.3.41'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.3.41
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.41']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.41']/hl7:id
Item: (plCdaPreoperativeDiagnosisSection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.41']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.41']/hl7:id"
         id="tmp-r-94d43080-ef50-4edf-b9d7-5085c380bfd9">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.3.41-2015-08-15T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaPreoperativeDiagnosisSection): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.3.41
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.41']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.41']/hl7:code[(@code='10219-4' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (plCdaPreoperativeDiagnosisSection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.41']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.41']/hl7:code[(@code='10219-4' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-26b11641-5150-484b-a74a-0e5acbd6949f">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.3.41-2015-08-15T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaPreoperativeDiagnosisSection): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CE", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.3.41-2015-08-15T000000.html"
              test="@nullFlavor or (@code='10219-4' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Surgical operation note preoperative diagnosis Narrative' and @codeSystemName='LOINC')">(plCdaPreoperativeDiagnosisSection): Wartość elementu MUSI wynosić code '10219-4' codeSystem '2.16.840.1.113883.6.1' displayName='Surgical operation note preoperative diagnosis Narrative' codeSystemName='LOINC'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.3.41
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.41']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.41']/hl7:title
Item: (plCdaPreoperativeDiagnosisSection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.41']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.41']/hl7:title"
         id="tmp-r-de7f3026-21a5-4461-9e2a-9a8dd173b91c">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.3.41-2015-08-15T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaPreoperativeDiagnosisSection): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:ST", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.3.41
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.41']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.41']/hl7:text
Item: (plCdaPreoperativeDiagnosisSection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.41']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.41']/hl7:text"
         id="tmp-r-da5c022e-3494-4fef-8ea7-e3a257d24bd0">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.3.41-2015-08-15T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SD.TEXT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaPreoperativeDiagnosisSection): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:SD.TEXT", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="SD.TEXT"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.3.41
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.41']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.41']/hl7:confidentialityCode
Item: (plCdaPreoperativeDiagnosisSection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.41']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.41']/hl7:confidentialityCode"
         id="tmp-r-cd274435-bde9-488e-a557-1f42087e6a0f">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.3.41-2015-08-15T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaPreoperativeDiagnosisSection): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CE", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.3.41-2015-08-15T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(plCdaPreoperativeDiagnosisSection): Wartość elementu MUSI wynosić x_BasicConfidentialityKind (DYNAMICZNE).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.3.41-2015-08-15T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(plCdaPreoperativeDiagnosisSection): Kod braku danych dla @code MUSI pochodzić ze zbioru dopuszczalnych kodów braku danych zdefiniowanych dla tego atrybutu lub powiązanych ze zbiorem wartości x_BasicConfidentialityKind (DYNAMICZNE)</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.3.41
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.41']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.41']/hl7:languageCode
Item: (plCdaPreoperativeDiagnosisSection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.41']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.41']/hl7:languageCode"
         id="tmp-r-3d988dbd-4763-44ff-b793-fb55883364a7">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.3.41-2015-08-15T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaPreoperativeDiagnosisSection): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CS", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.3.41-2015-08-15T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.3.4424.13.11.25-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode] or completeCodeSystem)">(plCdaPreoperativeDiagnosisSection): Wartość elementu MUSI wynosić JezykDokumentu Język dokumentu (DYNAMICZNE).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.3.4424.13.11.25-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.3.41-2015-08-15T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(plCdaPreoperativeDiagnosisSection): Kod braku danych dla @code MUSI pochodzić ze zbioru dopuszczalnych kodów braku danych zdefiniowanych dla tego atrybutu lub powiązanych ze zbiorem wartości JezykDokumentu Język dokumentu (DYNAMICZNE)</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.3.41
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.41']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.41']/hl7:subject[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.15']
Item: (plCdaPreoperativeDiagnosisSection)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.3.41
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.41']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.41']/hl7:author[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.18']
Item: (plCdaPreoperativeDiagnosisSection)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.3.41
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.41']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.41']/hl7:informant[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.14']
Item: (plCdaPreoperativeDiagnosisSection)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.3.41
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.41']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.41']/hl7:entry
Item: (plCdaPreoperativeDiagnosisSection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.41']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.41']/hl7:entry"
         id="tmp-r-2e858c8f-fa07-4249-b0ba-ef15518c6148">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.3.41-2015-08-15T000000.html"
              test="string(@typeCode)='COMP'">(plCdaPreoperativeDiagnosisSection): Wartość dla @typeCode MUSI wynosić 'COMP'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.3.41-2015-08-15T000000.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(plCdaPreoperativeDiagnosisSection): Atrybut @typeCode MUSI być typu 'cs'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.3.41-2015-08-15T000000.html"
              test="not(@contextConductionInd) or string(@contextConductionInd)=('true','false')">(plCdaPreoperativeDiagnosisSection): Atrybut @contextConductionInd MUSI być typu 'bl'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.3.41
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.41']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.41']/hl7:component
Item: (plCdaPreoperativeDiagnosisSection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.41']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.41']/hl7:component"
         id="tmp-r-200f91f9-0614-4b93-90fe-25e225bb40ba">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.3.41-2015-08-15T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(plCdaPreoperativeDiagnosisSection): Wartość dla @typeCode MUSI wynosić 'COMP'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.3.41-2015-08-15T000000.html"
              test="not(@contextConductionInd) or string(@contextConductionInd)=('true','false')">(plCdaPreoperativeDiagnosisSection): Atrybut @contextConductionInd MUSI być typu 'bl'</assert>
   </rule>
</pattern>
