<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.4424.13.10.4.47
Name: [4] Wykonane procedury podczas operacji
Description: Szablon CDA listą wykonanych procedur podczas operacji
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.4424.13.10.4.47-2017-01-02T000000">
   <title>[4] Wykonane procedury podczas operacji</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.47
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']]
Item: (plCdaSurgicalProcedureEntry)
-->

   <rule context="*[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']]"
         id="tmp-r-07d18efe-e812-4ecf-af3e-7f651316949c">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.47-2017-01-02T000000.html"
              test="count(hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47'])&gt;=1 and not(hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']/@nullFlavor)">(plCdaSurgicalProcedureEntry): element hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.47-2017-01-02T000000.html"
              test="count(hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47'])&lt;=1">(plCdaSurgicalProcedureEntry): element hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47'] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.47
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']
Item: (plCdaSurgicalProcedureEntry)
-->

   <rule context="*[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']"
         id="tmp-r-07eb57ef-6737-4cf0-866e-2e32403ed94e">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.47-2017-01-02T000000.html"
              test="string(@classCode)='PROC'">(plCdaSurgicalProcedureEntry): Wartość dla @classCode MUSI wynosić 'PROC'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.47-2017-01-02T000000.html"
              test="string(@moodCode)='EVN'">(plCdaSurgicalProcedureEntry): Wartość dla @moodCode MUSI wynosić 'EVN'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.47-2017-01-02T000000.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(plCdaSurgicalProcedureEntry): Atrybut @moodCode MUSI być typu 'cs'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.47-2017-01-02T000000.html"
              test="not(@negationInd) or string(@negationInd)=('true','false')">(plCdaSurgicalProcedureEntry): Atrybut @negationInd MUSI być typu 'bl'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.47-2017-01-02T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.47'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.47']/@nullFlavor)">(plCdaSurgicalProcedureEntry): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.47'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.47-2017-01-02T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.47'])&lt;=1">(plCdaSurgicalProcedureEntry): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.47'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.47-2017-01-02T000000.html"
              test="count(hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.2.6' or @nullFlavor])&gt;=1 ">(plCdaSurgicalProcedureEntry): element hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.2.6' or @nullFlavor] jest required [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.47-2017-01-02T000000.html"
              test="count(hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.2.6' or @nullFlavor])&lt;=1">(plCdaSurgicalProcedureEntry): element hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.2.6' or @nullFlavor] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.47-2017-01-02T000000.html"
              test="count(hl7:text)&lt;=1">(plCdaSurgicalProcedureEntry): element hl7:text występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.47-2017-01-02T000000.html"
              test="count(hl7:statusCode)&lt;=1">(plCdaSurgicalProcedureEntry): element hl7:statusCode występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.47-2017-01-02T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(plCdaSurgicalProcedureEntry): element hl7:effectiveTime występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.47-2017-01-02T000000.html"
              test="count(hl7:priorityCode)&lt;=1">(plCdaSurgicalProcedureEntry): element hl7:priorityCode występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.47-2017-01-02T000000.html"
              test="count(hl7:languageCode)&lt;=1">(plCdaSurgicalProcedureEntry): element hl7:languageCode występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.47-2017-01-02T000000.html"
              test="count(hl7:subject[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.15'])&lt;=1">(plCdaSurgicalProcedureEntry): element hl7:subject[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.15'] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.47
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.47']
Item: (plCdaSurgicalProcedureEntry)
-->

   <rule context="*[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.47']"
         id="tmp-r-da378915-760c-4c14-8195-05014c91e0b9">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.47-2017-01-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaSurgicalProcedureEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.47-2017-01-02T000000.html"
              test="string(@root)='2.16.840.1.113883.3.4424.13.10.4.47'">(plCdaSurgicalProcedureEntry): Wartość dla @root MUSI wynosić '2.16.840.1.113883.3.4424.13.10.4.47'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.47
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']/hl7:id
Item: (plCdaSurgicalProcedureEntry)
-->

   <rule context="*[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']/hl7:id"
         id="tmp-r-d8d130cf-80ca-4e23-b81c-da33bafb3c35">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.47-2017-01-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaSurgicalProcedureEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.47
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']/hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.2.6' or @nullFlavor]
Item: (plCdaSurgicalProcedureEntry)
-->

   <rule context="*[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']/hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.2.6' or @nullFlavor]"
         id="tmp-r-452ceed2-fb23-4ae7-82d1-762ac493a11a">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.47-2017-01-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaSurgicalProcedureEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CD", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.47-2017-01-02T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.3.4424.11.2.6')">(plCdaSurgicalProcedureEntry): Wartość elementu MUSI wynosić codeSystem '2.16.840.1.113883.3.4424.11.2.6'.</assert>
      <report role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.47-2017-01-02T000000.html"
              test="hl7:translation/@codeSystem='2.16.840.1.113883.3.4424.11.2.6'">(plCdaSurgicalProcedureEntry): 
                        Nie można użyć kodu ze słownika ICD-9 PL do kodowania tłumaczenia kodu zabiegu/procedury.
                    </report>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.7.3
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']/hl7:text
Item: (plCdaClinicalStatementText)
-->

   <rule context="*[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']/hl7:text"
         id="tmp-r-6e81a1ae-f564-43e7-9752-2a5cd19bda0d">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.7.3-2017-01-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaClinicalStatementText): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:ED", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <report role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.7.3-2017-01-02T000000.html"
              test="ancestor::hl7:section/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.55'] and hl7:reference">(plCdaClinicalStatementText): 
                    Nie może istnieć referencja do treści w sekcji postaci binarnej dokumentu
                </report>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.7.3-2017-01-02T000000.html"
              test="count(hl7:reference)&lt;=1">(plCdaClinicalStatementText): element hl7:reference występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.7.3
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']/hl7:text/hl7:reference
Item: (plCdaClinicalStatementText)
-->

   <rule context="*[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']/hl7:text/hl7:reference"
         id="tmp-r-943016af-bd68-4a85-b13a-93a6764432fe">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.7.3-2017-01-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaClinicalStatementText): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:TEL", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.7.3-2017-01-02T000000.html"
              test="@value">(plCdaClinicalStatementText): atrybut @value MUSI wystąpić.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.7.3-2017-01-02T000000.html"
              test="not(@value) or string-length(@value)&gt;0">(plCdaClinicalStatementText): Atrybut @value MUSI być typu 'st'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.7.3-2017-01-02T000000.html"
              test="ancestor::hl7:section//*[@ID=substring(current()/@value,2)]">(plCdaClinicalStatementText): 
                        Referencja musi wskazywać na konkretny element tekstu sekcji o danym ID
                    </assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.47
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']/hl7:statusCode
Item: (plCdaSurgicalProcedureEntry)
-->

   <rule context="*[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']/hl7:statusCode"
         id="tmp-r-17cd34aa-48f6-4e89-b067-af5f8dd298e4">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.47-2017-01-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaSurgicalProcedureEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CS", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.47-2017-01-02T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode] or completeCodeSystem)">(plCdaSurgicalProcedureEntry): Wartość elementu MUSI wynosić ActStatus (DYNAMICZNE).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.47-2017-01-02T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(plCdaSurgicalProcedureEntry): Kod braku danych dla @code MUSI pochodzić ze zbioru dopuszczalnych kodów braku danych zdefiniowanych dla tego atrybutu lub powiązanych ze zbiorem wartości ActStatus (DYNAMICZNE)</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.47
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']/hl7:effectiveTime
Item: (plCdaSurgicalProcedureEntry)
-->

   <rule context="*[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']/hl7:effectiveTime"
         id="tmp-r-e455fefa-4797-43de-bcc1-44b84d12380b">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.47-2017-01-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaSurgicalProcedureEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:IVL_TS", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.47
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']/hl7:priorityCode
Item: (plCdaSurgicalProcedureEntry)
-->

   <rule context="*[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']/hl7:priorityCode"
         id="tmp-r-8fdc82b9-c3ab-4e9a-b5f0-843f91fd129e">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.47-2017-01-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaSurgicalProcedureEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CE", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.47-2017-01-02T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.16866-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(plCdaSurgicalProcedureEntry): Wartość elementu MUSI wynosić ActPriority (DYNAMICZNE).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.16866-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.47-2017-01-02T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(plCdaSurgicalProcedureEntry): Kod braku danych dla @code MUSI pochodzić ze zbioru dopuszczalnych kodów braku danych zdefiniowanych dla tego atrybutu lub powiązanych ze zbiorem wartości ActPriority (DYNAMICZNE)</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.47
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']/hl7:languageCode
Item: (plCdaSurgicalProcedureEntry)
-->

   <rule context="*[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']/hl7:languageCode"
         id="tmp-r-536b2197-a014-4b99-a298-072175a6c6a5">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.47-2017-01-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaSurgicalProcedureEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CS", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.47-2017-01-02T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.3.4424.13.11.25-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode] or completeCodeSystem)">(plCdaSurgicalProcedureEntry): Wartość elementu MUSI wynosić JezykDokumentu Język dokumentu (DYNAMICZNE).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.3.4424.13.11.25-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.47-2017-01-02T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(plCdaSurgicalProcedureEntry): Kod braku danych dla @code MUSI pochodzić ze zbioru dopuszczalnych kodów braku danych zdefiniowanych dla tego atrybutu lub powiązanych ze zbiorem wartości JezykDokumentu Język dokumentu (DYNAMICZNE)</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.47
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']/hl7:methodCode
Item: (plCdaSurgicalProcedureEntry)
-->

   <rule context="*[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']/hl7:methodCode"
         id="tmp-r-82289bc4-6708-4535-b833-73f0a8218ca7">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.47-2017-01-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaSurgicalProcedureEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CE", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.47-2017-01-02T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.5.1065')">(plCdaSurgicalProcedureEntry): Wartość elementu MUSI wynosić codeSystem '2.16.840.1.113883.5.1065'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.47
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']/hl7:approachSiteCode
Item: (plCdaSurgicalProcedureEntry)
-->

   <rule context="*[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']/hl7:approachSiteCode"
         id="tmp-r-c42b741b-6194-477d-beaf-14b69cfbb414">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.47-2017-01-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaSurgicalProcedureEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CD", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.47-2017-01-02T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.5.1052')">(plCdaSurgicalProcedureEntry): Wartość elementu MUSI wynosić codeSystem '2.16.840.1.113883.5.1052'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.47
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']/hl7:targetSiteCode
Item: (plCdaSurgicalProcedureEntry)
-->

   <rule context="*[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']/hl7:targetSiteCode"
         id="tmp-r-f3eaa443-a13f-4fa8-bf48-347eaa21dafa">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.47-2017-01-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaSurgicalProcedureEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CD", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.47-2017-01-02T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.5.1052')">(plCdaSurgicalProcedureEntry): Wartość elementu MUSI wynosić codeSystem '2.16.840.1.113883.5.1052'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.47
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']/hl7:subject[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.15']
Item: (plCdaSurgicalProcedureEntry)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.47
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']/hl7:specimen[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.16']
Item: (plCdaSurgicalProcedureEntry)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.47
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']/hl7:performer[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.17']
Item: (plCdaSurgicalProcedureEntry)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.47
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']/hl7:author[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.18']
Item: (plCdaSurgicalProcedureEntry)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.47
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']/hl7:informant[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.14']
Item: (plCdaSurgicalProcedureEntry)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.47
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']/hl7:participant[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.19']
Item: (plCdaSurgicalProcedureEntry)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.47
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']/hl7:entryRelationship
Item: (plCdaSurgicalProcedureEntry)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.47
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']/hl7:reference
Item: (plCdaSurgicalProcedureEntry)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.47
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']/hl7:precondition
Item: (plCdaSurgicalProcedureEntry)
-->
</pattern>
