<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.4424.13.10.4.7
Name: [4] Przedmiot zlecenia na wyroby medyczne
Description: Szablon CDA dla przedmiotu zlecenia na wyroby medyczne
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.4424.13.10.4.7-2014-08-14T000000">
   <title>[4] Przedmiot zlecenia na wyroby medyczne</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.7
Context: *[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.7']]
Item: (plCdaMedicalEquipmentSupplyEntry)
-->

   <rule context="*[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.7']]"
         id="tmp-r-3af32872-8767-4920-b183-3d912829e16e">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.7-2014-08-14T000000.html"
              test="count(hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.7'])&lt;=1">(plCdaMedicalEquipmentSupplyEntry): element hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.7'] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.7
Context: *[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.7']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.7']
Item: (plCdaMedicalEquipmentSupplyEntry)
-->

   <rule context="*[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.7']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.7']"
         id="tmp-r-221326e3-77eb-4cb8-95e0-c82c6b33ef75">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.7-2014-08-14T000000.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(plCdaMedicalEquipmentSupplyEntry): Atrybut @typeCode MUSI być typu 'cs'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.7-2014-08-14T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.7'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.7']/@nullFlavor)">(plCdaMedicalEquipmentSupplyEntry): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.7'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.7-2014-08-14T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.7'])&lt;=1">(plCdaMedicalEquipmentSupplyEntry): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.7'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.7-2014-08-14T000000.html"
              test="count(hl7:supply)&gt;=1 and not(hl7:supply/@nullFlavor)">(plCdaMedicalEquipmentSupplyEntry): element hl7:supply jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.7-2014-08-14T000000.html"
              test="count(hl7:supply)&lt;=1">(plCdaMedicalEquipmentSupplyEntry): element hl7:supply występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.7
Context: *[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.7']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.7']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.7']
Item: (plCdaMedicalEquipmentSupplyEntry)
-->

   <rule context="*[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.7']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.7']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.7']"
         id="tmp-r-865fd2d5-3d1d-43cf-98fa-5afcfe623ea1">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.7-2014-08-14T000000.html"
              test="string(@root)='2.16.840.1.113883.3.4424.13.10.4.7'">(plCdaMedicalEquipmentSupplyEntry): Wartość dla @root MUSI wynosić '2.16.840.1.113883.3.4424.13.10.4.7'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.7-2014-08-14T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9][0-9]*))*$')">(plCdaMedicalEquipmentSupplyEntry): Atrybut @root MUSI być typu 'oid'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.7
Context: *[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.7']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.7']/hl7:supply
Item: (plCdaMedicalEquipmentSupplyEntry)
-->

   <rule context="*[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.7']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.7']/hl7:supply"
         id="tmp-r-b8fad1c7-becf-4dc7-939b-bf5baa8865fd">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.7-2014-08-14T000000.html"
              test="string(@classCode)='SPLY'">(plCdaMedicalEquipmentSupplyEntry): Wartość dla @classCode MUSI wynosić 'SPLY'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.7-2014-08-14T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(plCdaMedicalEquipmentSupplyEntry): Atrybut @classCode MUSI być typu 'cs'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.7-2014-08-14T000000.html"
              test="string(@moodCode)='RQO'">(plCdaMedicalEquipmentSupplyEntry): Wartość dla @moodCode MUSI wynosić 'RQO'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.7-2014-08-14T000000.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(plCdaMedicalEquipmentSupplyEntry): Atrybut @moodCode MUSI być typu 'cs'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.7-2014-08-14T000000.html"
              test="count(hl7:text)&gt;=1 ">(plCdaMedicalEquipmentSupplyEntry): element hl7:text jest required [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.7-2014-08-14T000000.html"
              test="count(hl7:text)&lt;=1">(plCdaMedicalEquipmentSupplyEntry): element hl7:text występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.7-2014-08-14T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(plCdaMedicalEquipmentSupplyEntry): element hl7:effectiveTime występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.7-2014-08-14T000000.html"
              test="count(hl7:quantity)&gt;=1 and not(hl7:quantity/@nullFlavor)">(plCdaMedicalEquipmentSupplyEntry): element hl7:quantity jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.7-2014-08-14T000000.html"
              test="count(hl7:quantity)&lt;=1">(plCdaMedicalEquipmentSupplyEntry): element hl7:quantity występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.7-2014-08-14T000000.html"
              test="count(hl7:product)&gt;=1 and not(hl7:product/@nullFlavor)">(plCdaMedicalEquipmentSupplyEntry): element hl7:product jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.7-2014-08-14T000000.html"
              test="count(hl7:product)&lt;=1">(plCdaMedicalEquipmentSupplyEntry): element hl7:product występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.7
Context: *[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.7']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.7']/hl7:supply/hl7:id
Item: (plCdaMedicalEquipmentSupplyEntry)
-->

   <rule context="*[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.7']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.7']/hl7:supply/hl7:id"
         id="tmp-r-fabe4a01-a28a-4f13-b4dc-068a9f352290">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.7-2014-08-14T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaMedicalEquipmentSupplyEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.7
Context: *[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.7']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.7']/hl7:supply/hl7:text
Item: (plCdaMedicalEquipmentSupplyEntry)
-->

   <rule context="*[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.7']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.7']/hl7:supply/hl7:text"
         id="tmp-r-c7d15568-37b8-4811-b793-b98501bae9ab">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.7-2014-08-14T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaMedicalEquipmentSupplyEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:ED", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.7-2014-08-14T000000.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(plCdaMedicalEquipmentSupplyEntry): element hl7:reference jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.7-2014-08-14T000000.html"
              test="count(hl7:reference)&lt;=1">(plCdaMedicalEquipmentSupplyEntry): element hl7:reference występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.7
Context: *[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.7']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.7']/hl7:supply/hl7:text/hl7:reference
Item: (plCdaMedicalEquipmentSupplyEntry)
-->

   <rule context="*[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.7']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.7']/hl7:supply/hl7:text/hl7:reference"
         id="tmp-r-b0b9270e-2e62-4c96-bbdf-1ae810bfcf92">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.7-2014-08-14T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaMedicalEquipmentSupplyEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:TEL", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.7-2014-08-14T000000.html"
              test="@value">(plCdaMedicalEquipmentSupplyEntry): atrybut @value MUSI wystąpić.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.7-2014-08-14T000000.html"
              test="not(@value) or string-length(@value)&gt;0">(plCdaMedicalEquipmentSupplyEntry): Atrybut @value MUSI być typu 'st'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.7-2014-08-14T000000.html"
              test="ancestor::hl7:section//*[@ID=substring(current()/@value,2)]">(plCdaMedicalEquipmentSupplyEntry): 
								Referencja musi wskazywać na konkretny element tekstu sekcji o danym ID
							</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.7
Context: *[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.7']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.7']/hl7:supply/hl7:effectiveTime
Item: (plCdaMedicalEquipmentSupplyEntry)
-->

   <rule context="*[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.7']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.7']/hl7:supply/hl7:effectiveTime"
         id="tmp-r-edb01bfb-6e41-4061-be1c-292375e94bd6">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.7-2014-08-14T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaMedicalEquipmentSupplyEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:IVL_TS", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
      <let name="theValue" value="@value"/>
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.7-2014-08-14T000000.html"
              test="@nullFlavor or ($xsiLocalName='IVL_TS' and $xsiLocalNS='urn:hl7-org:v3')">(plCdaMedicalEquipmentSupplyEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "IVL_TS", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.7-2014-08-14T000000.html"
              test="not(@xsi:type) or string-length(@xsi:type)&gt;0">(plCdaMedicalEquipmentSupplyEntry): Atrybut @xsi:type MUSI być typu 'st'</assert>
      <report role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.7-2014-08-14T000000.html"
              test="(number(hl7:high/@value)-number(hl7:low/@value))&gt;2">(plCdaMedicalEquipmentSupplyEntry): 
							Zlecenie na zaopatrzenie można wystawić maksymalnie na trzy mięsiące
						</report>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.7-2014-08-14T000000.html"
              test="count(hl7:low)&gt;=1 and not(hl7:low/@nullFlavor)">(plCdaMedicalEquipmentSupplyEntry): element hl7:low jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.7-2014-08-14T000000.html"
              test="count(hl7:low)&lt;=1">(plCdaMedicalEquipmentSupplyEntry): element hl7:low występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.7-2014-08-14T000000.html"
              test="count(hl7:high)&gt;=1 ">(plCdaMedicalEquipmentSupplyEntry): element hl7:high jest required [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.7-2014-08-14T000000.html"
              test="count(hl7:high)&lt;=1">(plCdaMedicalEquipmentSupplyEntry): element hl7:high występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.7
Context: *[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.7']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.7']/hl7:supply/hl7:effectiveTime/hl7:low
Item: (plCdaMedicalEquipmentSupplyEntry)
-->

   <rule context="*[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.7']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.7']/hl7:supply/hl7:effectiveTime/hl7:low"
         id="tmp-r-e39b7ebf-88a0-40b6-8e4c-38f64e96d6f4">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.7-2014-08-14T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVXB_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaMedicalEquipmentSupplyEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:IVXB_TS", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVXB_TS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.7-2014-08-14T000000.html"
              test="concat(substring(@value,1,4),'-',substring(@value,5,2),'-01') castable as xs:date">(plCdaMedicalEquipmentSupplyEntry): Pierwsze 6 cyfr daty powinno być w formacie YYYYMM</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.7
Context: *[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.7']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.7']/hl7:supply/hl7:effectiveTime/hl7:high
Item: (plCdaMedicalEquipmentSupplyEntry)
-->

   <rule context="*[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.7']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.7']/hl7:supply/hl7:effectiveTime/hl7:high"
         id="tmp-r-59c7d7ea-fe61-4a84-b5ed-91d5d946fa2d">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.7-2014-08-14T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVXB_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaMedicalEquipmentSupplyEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:IVXB_TS", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVXB_TS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.7-2014-08-14T000000.html"
              test="concat(substring(@value,1,4),'-',substring(@value,5,2),'-01') castable as xs:date">(plCdaMedicalEquipmentSupplyEntry): Pierwsze 6 cyfr daty powinno być w formacie YYYYMM</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.7
Context: *[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.7']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.7']/hl7:supply/hl7:quantity
Item: (plCdaMedicalEquipmentSupplyEntry)
-->

   <rule context="*[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.7']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.7']/hl7:supply/hl7:quantity"
         id="tmp-r-a706b8a7-6807-4b68-87a2-d9ae14412783">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.7-2014-08-14T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaMedicalEquipmentSupplyEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:PQ", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <let name="digitok"
           value="matches(string($theValue), '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.7-2014-08-14T000000.html"
              test="$digitok or @nullFlavor">(plCdaMedicalEquipmentSupplyEntry): @value nie jest poprawną liczbą typu PQ <value-of select="$theValue"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.7-2014-08-14T000000.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(plCdaMedicalEquipmentSupplyEntry): value/@unit (PQ) MUSI mieć poprawną jednostkę UCUM (<value-of select="$UCUMtest"/>).</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.7-2014-08-14T000000.html"
              test="@value">(plCdaMedicalEquipmentSupplyEntry): atrybut @value MUSI wystąpić.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.7-2014-08-14T000000.html"
              test="not(@value) or matches(string(@value), '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')">(plCdaMedicalEquipmentSupplyEntry): Atrybut @value nie jest porawną liczbą typu real <value-of select="$theValue"/>
      </assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.7-2014-08-14T000000.html"
              test="not(@unit)">(plCdaMedicalEquipmentSupplyEntry): atrybut @unit NIE MOŻE wystąpić.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.7
Context: *[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.7']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.7']/hl7:supply/hl7:product
Item: (plCdaMedicalEquipmentSupplyEntry)
-->

   <rule context="*[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.7']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.7']/hl7:supply/hl7:product"
         id="tmp-r-fe46e63c-098c-4b6d-ba7d-ccff902906ff">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.7-2014-08-14T000000.html"
              test="string(@typeCode)='PRD' or not(@typeCode)">(plCdaMedicalEquipmentSupplyEntry): Wartość dla @typeCode MUSI wynosić 'PRD'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.7-2014-08-14T000000.html"
              test="count(hl7:manufacturedProduct[hl7:manufacturedMaterial[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.1.43']]])&gt;=1 and not(hl7:manufacturedProduct[hl7:manufacturedMaterial[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.1.43']]]/@nullFlavor)">(plCdaMedicalEquipmentSupplyEntry): element hl7:manufacturedProduct[hl7:manufacturedMaterial[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.1.43']]] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.7-2014-08-14T000000.html"
              test="count(hl7:manufacturedProduct[hl7:manufacturedMaterial[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.1.43']]])&lt;=1">(plCdaMedicalEquipmentSupplyEntry): element hl7:manufacturedProduct[hl7:manufacturedMaterial[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.1.43']]] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.7
Context: *[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.7']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.7']/hl7:supply/hl7:product/hl7:manufacturedProduct[hl7:manufacturedMaterial[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.1.43']]]
Item: (plCdaMedicalEquipmentSupplyEntry)
-->

   <rule context="*[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.7']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.7']/hl7:supply/hl7:product/hl7:manufacturedProduct[hl7:manufacturedMaterial[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.1.43']]]"
         id="tmp-r-ca7443c4-30f0-4282-a849-174cae4bae72">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.7-2014-08-14T000000.html"
              test="string(@classCode)='MANU' or not(@classCode)">(plCdaMedicalEquipmentSupplyEntry): Wartość dla @classCode MUSI wynosić 'MANU'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.7-2014-08-14T000000.html"
              test="count(hl7:manufacturedMaterial[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.1.43']])&gt;=1 and not(hl7:manufacturedMaterial[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.1.43']]/@nullFlavor)">(plCdaMedicalEquipmentSupplyEntry): element hl7:manufacturedMaterial[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.1.43']] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.7-2014-08-14T000000.html"
              test="count(hl7:manufacturedMaterial[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.1.43']])&lt;=1">(plCdaMedicalEquipmentSupplyEntry): element hl7:manufacturedMaterial[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.1.43']] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.7
Context: *[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.7']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.7']/hl7:supply/hl7:product/hl7:manufacturedProduct[hl7:manufacturedMaterial[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.1.43']]]/hl7:id
Item: (plCdaMedicalEquipmentSupplyEntry)
-->

   <rule context="*[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.7']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.7']/hl7:supply/hl7:product/hl7:manufacturedProduct[hl7:manufacturedMaterial[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.1.43']]]/hl7:id"
         id="tmp-r-e211b059-0467-4279-b9fb-4e49b27091ca">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.7-2014-08-14T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaMedicalEquipmentSupplyEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.7
Context: *[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.7']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.7']/hl7:supply/hl7:product/hl7:manufacturedProduct[hl7:manufacturedMaterial[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.1.43']]]/hl7:manufacturedMaterial[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.1.43']]
Item: (plCdaMedicalEquipmentSupplyEntry)
-->

   <rule context="*[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.7']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.7']/hl7:supply/hl7:product/hl7:manufacturedProduct[hl7:manufacturedMaterial[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.1.43']]]/hl7:manufacturedMaterial[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.1.43']]"
         id="tmp-r-394edc96-0abd-4d21-9ddb-83bde5e20360">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.7-2014-08-14T000000.html"
              test="string(@classCode)='MMAT' or not(@classCode)">(plCdaMedicalEquipmentSupplyEntry): Wartość dla @classCode MUSI wynosić 'MMAT'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.7-2014-08-14T000000.html"
              test="string(@determinerCode)='KIND' or not(@determinerCode)">(plCdaMedicalEquipmentSupplyEntry): Wartość dla @determinerCode MUSI wynosić 'KIND'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.7-2014-08-14T000000.html"
              test="count(hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.1.43'])&gt;=1 and not(hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.1.43']/@nullFlavor)">(plCdaMedicalEquipmentSupplyEntry): element hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.1.43'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.7-2014-08-14T000000.html"
              test="count(hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.1.43'])&lt;=1">(plCdaMedicalEquipmentSupplyEntry): element hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.1.43'] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.7
Context: *[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.7']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.7']/hl7:supply/hl7:product/hl7:manufacturedProduct[hl7:manufacturedMaterial[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.1.43']]]/hl7:manufacturedMaterial[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.1.43']]/hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.1.43']
Item: (plCdaMedicalEquipmentSupplyEntry)
-->

   <rule context="*[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.7']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.7']/hl7:supply/hl7:product/hl7:manufacturedProduct[hl7:manufacturedMaterial[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.1.43']]]/hl7:manufacturedMaterial[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.1.43']]/hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.1.43']"
         id="tmp-r-cc40bcf1-3bb9-4420-9ab3-0451d5adf9b0">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.7-2014-08-14T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaMedicalEquipmentSupplyEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CE", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.7-2014-08-14T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.3.4424.11.1.43')">(plCdaMedicalEquipmentSupplyEntry): Wartość elementu MUSI wynosić codeSystem '2.16.840.1.113883.3.4424.11.1.43'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.7-2014-08-14T000000.html"
              test="@code">(plCdaMedicalEquipmentSupplyEntry): atrybut @code MUSI wystąpić.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.7-2014-08-14T000000.html"
              test="not(@code) or (string-length(@code)&gt;0 and not(matches(@code,'\s')))">(plCdaMedicalEquipmentSupplyEntry): Atrybut @code MUSI być typu 'cs'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.7-2014-08-14T000000.html"
              test="@displayName">(plCdaMedicalEquipmentSupplyEntry): atrybut @displayName MUSI wystąpić.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.7-2014-08-14T000000.html"
              test="not(@displayName) or string-length(@displayName)&gt;0">(plCdaMedicalEquipmentSupplyEntry): Atrybut @displayName MUSI być typu 'st'</assert>
   </rule>
</pattern>
